broadcast

## Class SiGMLStreamHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - xml.BasicSAXHandler
    - - broadcast.SiGMLStreamHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

      public class SiGMLStreamHandler
      extends BasicSAXHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiGMLStreamHandler(java.lang.String inuri, CleanerEntityResolver er, SiGMLStreamNotify ntfy)`
    `SiGMLStreamHandler(java.lang.String inuri, SiGMLStreamNotify ntfy)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endDocument()`
    `void` | `endElement(java.lang.String nsuri, java.lang.String localnm, java.lang.String rawnm)`
    `static long` | `presentClockForSection(java.lang.String sect)`
    `void` | `startDocument()`
    `void` | `startElement(java.lang.String nsuri, java.lang.String localnm, java.lang.String rawnm, org.xml.sax.Attributes attribs)`

    - ### Methods inherited from class xml.BasicSAXHandler

      `error, fatalError, resolveEntity, setDocumentLocator, warning`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `characters, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, skippedEntity, startPrefixMapping, unparsedEntityDecl`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SiGMLStreamHandler

          public SiGMLStreamHandler(java.lang.String inuri,
                                    SiGMLStreamNotify ntfy)

    - #### SiGMLStreamHandler

          public SiGMLStreamHandler(java.lang.String inuri,
                                    CleanerEntityResolver er,
                                    SiGMLStreamNotify ntfy)

  - ### Method Detail

    - #### startDocument

          public void startDocument()
                             throws org.xml.sax.SAXException

      Specified by:
        `startDocument` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startDocument` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endDocument

          public void endDocument()
                           throws org.xml.sax.SAXException

      Specified by:
        `endDocument` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endDocument` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### startElement

          public void startElement(java.lang.String nsuri,
                                   java.lang.String localnm,
                                   java.lang.String rawnm,
                                   org.xml.sax.Attributes attribs)
                            throws org.xml.sax.SAXException

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endElement

          public void endElement(java.lang.String nsuri,
                                 java.lang.String localnm,
                                 java.lang.String rawnm)
                          throws org.xml.sax.SAXException

      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### presentClockForSection

          public static long presentClockForSection(java.lang.String sect)